#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n;
    int l;
    cin >> n >> l;
    vector<int> arr;
    arr.resize(n);
    for (int i = 0; i < n;i++) {
        cin >> arr[i];
    }
    int x = -1;
    for (int i = 0; i < n;i++) {
        if (arr[i] <= l) {
            x = i + 1;
            break;
        }
    }
    cout << x;
}